Subject: Re: xrvt clipboard access
From: [email-masked]
To: "Harig, Mark A." <[email-masked]>
Cc: Thomas Mellman <[email-masked]>, [email-masked]
Date: Sat, 28 Sep 2002 00:28:52 +0200

On Fri, Sep 27, 2002 at 02:54:17PM -0400, Harig, Mark A. wrote:
> You might need to create the text file ~/.inputrc,
> and add the line:
> 
> "\e[2~": paste-from-clipboard

Am I right in guessing that you're an emacs user?
Unless I'm configuring it wrong, I think the mapping
functionality of readline is only useful for emacs
users.

I'm a vi user, and the \e in escape sequences seems to
switch readline into command mode - rendering it useless
for mapping escape sequences (I tried creating commands
called "[2" but that doesn't seem to work either - maybe
because there's no implicit newline).

Everybody talks about using .inputrc but nobody mentions
the escape problem - yet I know very few emacs users
professionally - I must really ge misunderstanding something.

> >From the manual page for 'rxvt':
> 
> TEXT SELECTION AND INSERTION
>        The behaviour of text selection and insertion mechanism is
>        similar to xterm(1).
> 
> 
>        Selection:
>               Left  click at the beginning of the region, drag to
>               the end of the region and release; Right  click  to
>               extend  the  marked  region;  Left  double-click to
>               select a word;  Left  triple-click  to  select  the
>               entire line.
> 
> 
>        Insertion:
>               Pressing  and releasing the Middle mouse button (or
>               Shift-Insert) in an rxvt window causes the  current
>               text  selection  to  be  inserted as if it had been
>               typed on the keyboard.

The rxvt manual page has overlooked a very important feature
of xterm if it can suggest that the "text ... insertion mechanism
is similar to xterm(1).  To quote xterm(1):

       insert-selection(sourcename [, ...])
               This action inserts the string found in the selec
               tion  or  cutbuffer   indicated   by   sourcename.
               Sources  are  checked  in the order given (case is
               significant) until one  is  found.   Commonly-used
               selections  include: PRIMARY, SECONDARY, and CLIP
               BOARD.    Cut   buffers   are   typically    named
               CUT_BUFFER0 through CUT_BUFFER7.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/